# Class Match1TypeParameter

java.lang.Object
uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.Match1Type>
uk.ac.starlink.ttools.join.Match1TypeParameter

public class Match1TypeParameter extends uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.Match1Type>
Parameter subclass whose value is a `Match1Type` object.

Since:
  16 Nov 2007
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ELIMINATE_0`
Parameter value for keep0 action.
`static final String`
`ELIMINATE_1`
Parameter value for keep1 action.
`static final String`
`IDENTIFY`
Parameter value for identify action.
`static final String`
`WIDE_PREFIX`
Parameter value prefix for n-fold table output.

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`Match1TypeParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.join.Match1Type`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`
`uk.ac.starlink.table.join.Match1Type`
`typeValue(uk.ac.starlink.task.Environment env)`
Returns the value of this parameter as a Match1Type object.

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### IDENTIFY

public static final String IDENTIFY
Parameter value for identify action.

See Also:
  - Constant Field Values

### ELIMINATE_0

public static final String ELIMINATE_0
Parameter value for keep0 action.

See Also:
  - Constant Field Values

### ELIMINATE_1

public static final String ELIMINATE_1
Parameter value for keep1 action.

See Also:
  - Constant Field Values

### WIDE_PREFIX

public static final String WIDE_PREFIX
Parameter value prefix for n-fold table output.

See Also:
  - Constant Field Values

## Constructor Details

### Match1TypeParameter

public Match1TypeParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### typeValue

public uk.ac.starlink.table.join.Match1Type typeValue(uk.ac.starlink.task.Environment env) throws uk.ac.starlink.task.TaskException
Returns the value of this parameter as a Match1Type object.

Parameters:
  `env` - execution environment
Throws:
  `uk.ac.starlink.task.TaskException`

### stringToObject

public uk.ac.starlink.table.join.Match1Type stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.ParameterValueException

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<uk.ac.starlink.table.join.Match1Type>`
Throws:
  `uk.ac.starlink.task.ParameterValueException`